%global pypi_name jupyter-server
%global srcname   jupyter_server

Name:           python-%{pypi_name}
Version:        2.15.0
Release:        %mkrel 3
Summary:        The Jupyter Server
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/jupyter/jupyter_server
Source:         %{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The Jupyter Server is a web application that allows you to create and
share documents that contain live code, equations, visualizations, and
explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

%package -n python3-%{pypi_name}
Summary:        The Jupyter Server

%description -n python3-jupyter-server
The Jupyter Server is a web application that allows you to create and
share documents that contain live code, equations, visualizations, and
explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

%prep
%autosetup -n %{srcname}-%{version} -p1
# remove garbage
rm -f %{_builddir}/jupyterlab_server-2.27.3/jupyterlab_server/test_data/schemas/@jupyterlab/shortcuts-extension/package.json.orig
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files  -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/jupyter-server


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.15.0-3.mga10
+ Revision: 2240799
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.15.0-2.mga10
+ Revision: 2157789
- rebuild for python3.13

* Thu Jan 02 2025 papoteur <papoteur> 2.15.0-1.mga10
+ Revision: 2135016
- remove bad source file and update to version 2.15.0

* Thu Jan 02 2025 papoteur <papoteur> 2.27.3-1.mga10
+ Revision: 2134935
- new version 2.27.3

* Tue Jul 02 2024 papoteur <papoteur> 2.14.1-1.mga10
+ Revision: 2078915
- new version 2.14.1

* Tue Dec 26 2023 wally <wally> 2.12.1-1.mga10
+ Revision: 2021939
- new version 2.12.1
+ joequant <joequant>
- update build requires
- fix build requires
- update to 2.11.1

* Thu Nov 03 2022 papoteur <papoteur> 1.21.0-2.mga9
+ Revision: 1902045
- rebuild for fastjsonschema dependency

* Fri Oct 14 2022 wally <wally> 1.21.0-1.mga9
+ Revision: 1896840
- new version 1.21.0

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.5.1-2.mga9
+ Revision: 1783660
- rebuild for python-3.10

* Tue Apr 06 2021 joequant <joequant> 1.5.1-1.mga9
+ Revision: 1713879
- fix group
- imported package python-jupyter-server

